package de.jottyfan.bico.modules.next.model;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 
 * @author jotty
 * 
 */
public class NextBean implements Serializable {
	private static final long serialVersionUID = 1L;

	private String fullname;
	private LocalDate day;
	
	private NextBean() {
	}
	
	public final static NextBean of(String fullname, LocalDate day) {
		NextBean bean = new NextBean();
		bean.setDay(day);
		bean.setFullname(fullname);
		return bean;
	}

	/**
	 * @return the fullname
	 */
	public String getFullname() {
		return fullname;
	}

	/**
	 * @return the day
	 */
	public LocalDate getDay() {
		return day;
	}

	/**
	 * @param fullname the fullname to set
	 */
	private void setFullname(String fullname) {
		this.fullname = fullname;
	}

	/**
	 * @param day the day to set
	 */
	private void setDay(LocalDate day) {
		this.day = day;
	}	
}
