package de.jottyfan.bico.modules.subject.model;

import java.io.Serializable;

import de.jottyfan.bico.db.public_.tables.records.TSubjectRecord;

/**
 *
 * @author jotty
 *
 */
public class SubjectBean implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer pkSubject;
	private Integer fkSource;
	private String theme;
	private String subtheme;
	private String bookPages;
	private String worksheets;
	private String bibleverse;
	private String notes;
	private Integer orderNr;

	public static final SubjectBean of(TSubjectRecord r) {
		SubjectBean bean = new SubjectBean();
		bean.setPkSubject(r.getPkSubject());
		bean.setFkSource(r.getFkSource());
		bean.setTheme(r.getTheme());
		bean.setSubtheme(r.getSubtheme());
		bean.setBookPages(r.getBookPages());
		bean.setWorksheets(r.getWorksheets());
		bean.setBibleverse(r.getBibleverse());
		bean.setNotes(r.getNotes());
		bean.setOrderNr(r.getOrderNr());
		return bean;
	}

	/**
	 * @return the pkSubject
	 */
	public Integer getPkSubject() {
		return pkSubject;
	}

	/**
	 * @param pkSubject the pkSubject to set
	 */
	public void setPkSubject(Integer pkSubject) {
		this.pkSubject = pkSubject;
	}

	/**
	 * @return the fkSource
	 */
	public Integer getFkSource() {
		return fkSource;
	}

	/**
	 * @param fkSource the fkSource to set
	 */
	public void setFkSource(Integer fkSource) {
		this.fkSource = fkSource;
	}

	/**
	 * @return the theme
	 */
	public String getTheme() {
		return theme;
	}

	/**
	 * @param theme the theme to set
	 */
	public void setTheme(String theme) {
		this.theme = theme;
	}

	/**
	 * @return the subtheme
	 */
	public String getSubtheme() {
		return subtheme;
	}

	/**
	 * @param subtheme the subtheme to set
	 */
	public void setSubtheme(String subtheme) {
		this.subtheme = subtheme;
	}

	/**
	 * @return the bookPages
	 */
	public String getBookPages() {
		return bookPages;
	}

	/**
	 * @param bookPages the bookPages to set
	 */
	public void setBookPages(String bookPages) {
		this.bookPages = bookPages;
	}

	/**
	 * @return the worksheets
	 */
	public String getWorksheets() {
		return worksheets;
	}

	/**
	 * @param worksheets the worksheets to set
	 */
	public void setWorksheets(String worksheets) {
		this.worksheets = worksheets;
	}

	/**
	 * @return the bibleverse
	 */
	public String getBibleverse() {
		return bibleverse;
	}

	/**
	 * @param bibleverse the bibleverse to set
	 */
	public void setBibleverse(String bibleverse) {
		this.bibleverse = bibleverse;
	}

	/**
	 * @return the notes
	 */
	public String getNotes() {
		return notes;
	}

	/**
	 * @param notes the notes to set
	 */
	public void setNotes(String notes) {
		this.notes = notes;
	}

	/**
	 * @return the orderNr
	 */
	public Integer getOrderNr() {
		return orderNr;
	}

	/**
	 * @param orderNr the orderNr to set
	 */
	public void setOrderNr(Integer orderNr) {
		this.orderNr = orderNr;
	}
}
