package de.jottyfan.bico.modules.camp.model;

import java.io.Serializable;

import jakarta.validation.constraints.NotBlank;

/**
 *
 * @author jotty
 *
 */
public class RegistrationBean implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer pkRegistration;
	@NotBlank
	private String forename;
	@NotBlank
	private String surname;
	@NotBlank
	private String sex;

	/**
	 * @return the forename
	 */
	public String getForename() {
		return forename;
	}

	/**
	 * @param forename the forename to set
	 */
	public void setForename(String forename) {
		this.forename = forename;
	}

	/**
	 * @return the surname
	 */
	public String getSurname() {
		return surname;
	}

	/**
	 * @param surname the surname to set
	 */
	public void setSurname(String surname) {
		this.surname = surname;
	}

	/**
	 * @return the sex
	 */
	public String getSex() {
		return sex;
	}

	/**
	 * @param sex the sex to set
	 */
	public void setSex(String sex) {
		this.sex = sex;
	}

	/**
	 * @return the pkRegistration
	 */
	public Integer getPkRegistration() {
		return pkRegistration;
	}

	/**
	 * @param pkRegistration the pkRegistration to set
	 */
	public void setPkRegistration(Integer pkRegistration) {
		this.pkRegistration = pkRegistration;
	}
}
